org.rrd4j.graph

## Class BufferedImageWorker

- java.lang.Object
- - org.rrd4j.graph.ImageWorker
  - - org.rrd4j.graph.BufferedImageWorker

-     class BufferedImageWorker
      extends ImageWorker

  Image worker implementation that creates buffered images for RRD graphs. Provides functionality to create, manipulate, and save graph images in various formats.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) static class` | `BufferedImageWorker.Builder` Builder class for creating BufferedImageWorker instances with configurable parameters.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BufferedImageWorker(int width, int height)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BufferedImageWorker.Builder` | `getBuilder()` Creates a new builder for BufferedImageWorker.
    `(package private) void` | `makeImage(OutputStream stream)` Creates and writes the image to the specified output stream.
    `protected void` | `reset(Graphics2D g2d)`
    `(package private) void` | `resize(int width, int height)` Resizes the worker to the specified dimensions.

    - ### Methods inherited from class org.rrd4j.graph.ImageWorker

      `clip, dispose, drawLine, drawPolyline, drawString, fillPolygon, fillPolygon, fillRect, getFontAscent, getFontHeight, getImageBytes, getStringWidth, loadImage, makeImage, reset, saveImage, setAntiAliasing, setG2d, setTextAntiAliasing, transform`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BufferedImageWorker

          BufferedImageWorker(int width,
                              int height)

  - ### Method Detail

    - #### getBuilder

          public static BufferedImageWorker.Builder getBuilder()

      Creates a new builder for BufferedImageWorker.
      Returns:
        A new builder instance.

    - #### makeImage

          void makeImage(OutputStream stream)
                  throws IOException

      Creates and writes the image to the specified output stream.
      Specified by:
        `makeImage` in class `ImageWorker`
      Parameters:
        `stream` - The output stream to write the image to.
      Throws:
        `IOException` - If an I/O error occurs during writing.

    - #### reset

          protected void reset(Graphics2D g2d)

      Specified by:
        `reset` in class `ImageWorker`

    - #### resize

          void resize(int width,
                      int height)

      Resizes the worker to the specified dimensions.
      Specified by:
        `resize` in class `ImageWorker`
      Parameters:
        `width` - The new width in pixels.
        `height` - The new height in pixels.